import { EventEmitter } from '../../stencil-public-runtime';
export declare class FormControlMonetary {
    formControl: HTMLInputElement;
    isFocused: boolean;
    name: any;
    label: string;
    inputHandler: (name: string, value: string) => void;
    defaultValue?: string;
    helpText?: string;
    errorText?: string;
    maxLength?: number;
    keyDownHandler?: (event: any) => void;
    disabled?: boolean;
    handleDefaultValueChange(newValue: string): void;
    formControlInput: EventEmitter<any>;
    formControlBlur: EventEmitter<any>;
    componentDidLoad(): void;
    formatRawValue: (value: string) => string;
    formatDisplayValue: (value: string) => string;
    updateInput: (newValue: any) => void;
    private get inputPart();
    render(): any;
}
